Skip to content
Assets

Cancel Currency Exchange

Cancels a currency exchange request that has not finished processing and is allowed to be cancelled. Used for the “Cancel” action in the exchange record list and on the exchange details page.

POSThttps://api.lbkrs.com/v1/forex/front/cancel/exchange

Request body application/json

order_idstringrequired

Exchange order number, taken from order_id of the exchange record. Only records with can_cancel set to true can be cancelled

account_channelstring

Broker channel

Responses

HTTP 200The request succeeded. The response body contains the result of the “Cancel currency exchange” operation.
Standard response envelopecodemessagedata
dataobjectdata structure
okboolean

Whether the cancellation succeeded

idinteger

id of the cancelled exchange record

msgstring

Prompt message

Whale Docs